org.apache.synapse.transport.http.access

## Class AccessConstants

- java.lang.Object
- - org.apache.synapse.transport.http.access.AccessConstants

-     public class AccessConstants
      extends Object

  Constants used in the Access Class

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMBINED_PATTERN` Pattern used to log - Default is COMBINED_PATTERN given below.
    `static String` | `COMMON_PATTERN` Common log pattern.
    `static String` | `CONFIG_DIRECTORY`
    `static String` | `CONFIG_FILE_DATE_FORMAT`
    `static String` | `CONFIG_PATTERN`
    `static String` | `CONFIG_PREFIX`
    `static String` | `CONFIG_SUFFIX`
    `static String` | `DIRECTORY` The directory in which log files are created.
    `static String` | `FILE_FORMAT` Gives the format of the date to be appended to the name of the access log file.
    `static String` | `LOG_PATTERN`
    `static String[]` | `MONTHS` The set of month abbreviations for log messages.
    `static String` | `PREFIX` The prefix that is added to log file filenames.
    `static String` | `SUFFIX` The suffix that is added to log file filenames.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessConstants()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getDirectory()`
    `static String` | `getFileDateFormat()`
    `static String` | `getLogPattern()`
    `static String` | `getPrefix()`
    `static String` | `getSuffix()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMBINED_PATTERN

          public static final String COMBINED_PATTERN

      Pattern used to log - Default is COMBINED_PATTERN given below.
      See Also:
        Constant Field Values

    - #### LOG_PATTERN

          public static final String LOG_PATTERN

      See Also:
        Constant Field Values

    - #### COMMON_PATTERN

          public static final String COMMON_PATTERN

      Common log pattern.
      See Also:
        Constant Field Values

    - #### MONTHS

          public static final String[] MONTHS

      The set of month abbreviations for log messages.

    - #### DIRECTORY

          public static String DIRECTORY

      The directory in which log files are created.

    - #### FILE_FORMAT

          public static String FILE_FORMAT

      Gives the format of the date to be appended to the name of the access log file.

    - #### PREFIX

          public static String PREFIX

      The prefix that is added to log file filenames.

    - #### SUFFIX

          public static String SUFFIX

      The suffix that is added to log file filenames.

    - #### CONFIG_PATTERN

          public static final String CONFIG_PATTERN

      See Also:
        Constant Field Values

    - #### CONFIG_DIRECTORY

          public static final String CONFIG_DIRECTORY

      See Also:
        Constant Field Values

    - #### CONFIG_PREFIX

          public static final String CONFIG_PREFIX

      See Also:
        Constant Field Values

    - #### CONFIG_SUFFIX

          public static final String CONFIG_SUFFIX

      See Also:
        Constant Field Values

    - #### CONFIG_FILE_DATE_FORMAT

          public static final String CONFIG_FILE_DATE_FORMAT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AccessConstants

          public AccessConstants()

  - ### Method Detail

    - #### getLogPattern

          public static String getLogPattern()

    - #### getSuffix

          public static String getSuffix()

    - #### getPrefix

          public static String getPrefix()

    - #### getFileDateFormat

          public static String getFileDateFormat()

    - #### getDirectory

          public static String getDirectory()

Copyright © 2005–2018 Apache Software Foundation. All rights reserved.